Show counterparty split recipient
curl --request GET \
--url https://api.sandbox.trio.com.br/banking/counterparties/{counterparty_id}/split_recipients/{counterparty_split_recipient_id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.sandbox.trio.com.br/banking/counterparties/{counterparty_id}/split_recipients/{counterparty_split_recipient_id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.sandbox.trio.com.br/banking/counterparties/{counterparty_id}/split_recipients/{counterparty_split_recipient_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"counterparty_id": "018df099-093e-cfd1-4500-4c9392eb5d8a",
"id": "018df099-093e-cfd1-4500-4c9392eb5d8a",
"inserted_at": "2026-08-05T10:00:00Z",
"ref_bank_account": {
"branch": "0001",
"digit": "1",
"ispb": "12345678",
"number": "87654321",
"type": "checking"
},
"ref_pix_key": null,
"ref_type": "bank_account",
"updated_at": "2026-08-05T10:00:00Z"
}
}{
"error": {
"error_code": "UNAUTHORIZED",
"error_message": "Invalid credentials"
}
}{
"error": {
"error_code": "INTEGRATION_ERROR",
"error_message": "An unexpected issue occurred"
}
}Counterparties
Get Counterparty Split Recipient
Get a counterparty split recipient
GET
/
banking
/
counterparties
/
{counterparty_id}
/
split_recipients
/
{counterparty_split_recipient_id}
Show counterparty split recipient
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Counterparty ID Unique identifier
Counterparty split recipient ID Unique identifier
Response
CounterpartySplitRecipient
Body response of the counterparty split recipient
Counterparty split recipient data
Show child attributes
Show child attributes
Example:
{
"counterparty_id": "018df099-093e-cfd1-4500-4c9392eb5d8a",
"id": "018df099-093e-cfd1-4500-4c9392eb5d8a",
"inserted_at": "2026-08-05T10:00:00Z",
"ref_bank_account": {
"branch": "0001",
"digit": "1",
"ispb": "12345678",
"number": "87654321",
"type": "checking"
},
"ref_pix_key": null,
"ref_type": "bank_account",
"updated_at": "2026-08-05T10:00:00Z"
}
⌘I

